// BufferedExample.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

// For I/O
#include <stdio.h>

// For getting compile time info about the component
#import "..\..\Component\TextPrinter.dll" no_namespace

int main(int argc, char* argv[])
{
	// Init COM
	CoInitialize(NULL);
	// Enter COM scope
	{
		try
		{
			IBufferedTextPrinterPtr printer(_uuidof(BufferedTextPrinter));
			printer->Write("This component is great!");
			printer->WritePageEnd();
			//printer->Port="nul"; // You may set port to "nul" during development to ease testing.
			printer->PrintBuffer();
		}
		catch(_com_error &e)
		{
			printf("%X\n%s\nPress enter\n",e.Error(),(LPCSTR)e.Description());
			getchar();
		}
	}
	// Uninit COM and return
	CoUninitialize();
	return 0;
}
